SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004004SOGoWeb Mailpublic2017-01-25 06:232018-03-14 11:53
Reporterandre.peters 
Assigned Toludovic 
PrioritylowSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSMicrosoft WindowsOS Version10
Product Version3.2.5 
Target VersionFixed in Version4.0.1 
Summary0004004: UTF-8 Emojis in message body not parsed
DescriptionThey look fine in the subject, but not in the message body:

https://i.imgur.com/hxU1JuK.png [^]

Message looks like this:
------=_=-_OpenGroupware_org_NGMime-28164-1485341777.252994-0------
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Content-Length: 13


=F0=9F=98=81

------=_=-_OpenGroupware_org_NGMime-28164-1485341777.252994-0------
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Content-Length: 25

<html>=F0=9F=98=81</html>

------=_=-_OpenGroupware_org_NGMime-28164-1485341777.252994-0--------
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
User avatar (0012690)
ludovic (administrator)
2018-03-13 16:50

This is a problem with wide characters in SOPE. I'll fix that as it's a mess right now (much like the entire SOPE code).
User avatar (0012697)
ludovic (administrator)
2018-03-14 11:53

https://github.com/inverse-inc/sope/commit/72ed256b2b2fdee432c1b3e4a4aae1b54e9dd935 [^]

- Issue History
Date Modified Username Field Change
2017-01-25 06:23 andre.peters New Issue
2018-03-13 16:50 ludovic Note Added: 0012690
2018-03-14 11:53 ludovic Note Added: 0012697
2018-03-14 11:53 ludovic Status new => resolved
2018-03-14 11:53 ludovic Fixed in Version => 4.0.1
2018-03-14 11:53 ludovic Resolution open => fixed
2018-03-14 11:53 ludovic Assigned To => ludovic


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker